import request from '@/utils/request'

// 查询应急沙箱列表
export function listSandbox(query) {
  return request({
    url: '/fire/sandbox/list',
    method: 'get',
    params: query
  })
}

// 查询应急沙箱详细
export function getSandbox(id) {
  return request({
    url: '/fire/sandbox/' + id,
    method: 'get'
  })
}

// 新增应急沙箱
export function addSandbox(data) {
  return request({
    url: '/fire/sandbox',
    method: 'post',
    data: data
  })
}

// 修改应急沙箱
export function updateSandbox(data) {
  return request({
    url: '/fire/sandbox',
    method: 'put',
    data: data
  })
}

// 删除应急沙箱
export function delSandbox(id) {
  return request({
    url: '/fire/sandbox/' + id,
    method: 'delete'
  })
}
